# Message types

The Channels API uses generic message types which means it is easy to send the same message to multiple channels. As not all channels offer native support for all message types, one Channels message may represent multiple channel messages.

For example sending multiple files on Facebook messenger with Postback actions will be rendered as such:

![](/files/l2SPS0LhnaRAjdoP2Svb)

Currently not all message types will be rendered across all channels. The following message types are supported:

## Text messages

[Single text message](/api/channels-api/message-types/text.md#single-text-message)

[Single text messages with actions](/api/channels-api/message-types/text.md#single-text-message-with-actions)

## Image messages

[Single image message](/api/channels-api/message-types/images.md#single-image-message)

[Single image message with text](/api/channels-api/message-types/images.md#single-image-message-with-text)

[Multiple image message](/api/channels-api/message-types/images.md#multiple-image-message)

[Single image message with actions](/api/channels-api/message-types/images.md#single-image-message-with-actions)

[Multiple image message with actions](/api/channels-api/message-types/images.md#multiple-image-message-with-actions)

## File messages

[Single file message](/api/channels-api/message-types/files.md#single-file-message)

[Single file message with text](/api/channels-api/message-types/files.md#single-file-message-with-text)

[Multiple file message](/api/channels-api/message-types/files.md#multiple-file-message)

[Single file message with actions](/api/channels-api/message-types/files.md#single-file-message-with-actions)

[Multiple file message with actions](/api/channels-api/message-types/files.md#multiple-file-message-with-actions)

## List messages

[List message without sections](/api/channels-api/message-types/list.md#list-message-without-sections)

[List message with sections](/api/channels-api/message-types/list.md#list-message-with-sections)

[List message with metadata](/api/channels-api/message-types/list.md#list-message-with-metadata)

## Carousel messages

[Single cards](/api/channels-api/message-types/carousel.md#single-cards)

[Multiple cards](/api/channels-api/message-types/carousel.md#multiple-cards)

## Template messages

[Text template with a variable](/api/channels-api/message-types/template.md#text-template-with-variable)

[Image template with a variable](/api/channels-api/message-types/template.md#image-template-with-variable)

[Image with a variable in a button](/api/channels-api/message-types/template.md#image-with-a-variable-in-a-button)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/channels-api/message-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
